Debian Bug report logs - #385115
chromium-data: Unclear license for some files

Package: chromium-data; Maintainer for chromium-data is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: Roberto Gordo Saez <roberto.gordo@gmail.com>

Date: Tue, 29 Aug 2006 09:18:02 UTC

Severity: serious

Tags: fixed-upstream

Done: Paul Wise <pabs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, roberto.gordo@gmail.com, Mike Furr <mfurr@debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to Roberto Gordo Saez <roberto.gordo@gmail.com>:
New Bug report received and forwarded. Copy sent to roberto.gordo@gmail.com, Mike Furr <mfurr@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roberto Gordo Saez <roberto.gordo@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: chromium-data: Unclear license for some files
Date: Tue, 29 Aug 2006 10:47:40 +0200
Package: chromium-data
Version: 0.9.12-2
Severity: serious
Justification: Policy 2.1


There are no information on where data files came from. Looking at the
web page, upstream claims that music loops and raw sound effects were
taken from http://www.partnersinrhyme.com/ and
http://www.findsounds.com/. It is very likely for most of them to be
non-free, or even undistributable, as stated here:
http://www.findsounds.com/cpolicy.html

Origin from all other data files (sound, music, graphics...) should be
clarified, since they can be in the same situation. Upstream authors
should include information stating whether data is made from scratch or
based on other sources.

It is always a good idea to add some information on origin of artwork
and tools used. When data is based on other free sources, credits and a
pointer to the proper license should be given. When data is based on
non-free (or unlicensed) sources, obviously can't be distributed by
Debian and need to be replaced. And when data is created from scratch, a
short notice is appreciated to make it clear.



Information forwarded to debian-bugs-dist@lists.debian.org, Mike Furr <mfurr@debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Mike Furr <mfurr@debian.org>. Full text and rfc822 format available.

Message #10 received at 385115@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Roberto Gordo Saez <roberto.gordo@gmail.com>, 385115@bugs.debian.org
Subject: Re: Bug#385115: chromium-data: Unclear license for some files
Date: Tue, 29 Aug 2006 03:40:17 -0700
severity 385115 important
thanks

On Tue, Aug 29, 2006 at 10:47:40AM +0200, Roberto Gordo Saez wrote:

> There are no information on where data files came from. Looking at the
> web page, upstream claims that music loops and raw sound effects were
> taken from http://www.partnersinrhyme.com/ and
> http://www.findsounds.com/. It is very likely for most of them to be
> non-free, or even undistributable, as stated here:
> http://www.findsounds.com/cpolicy.html

> Origin from all other data files (sound, music, graphics...) should be
> clarified, since they can be in the same situation. Upstream authors
> should include information stating whether data is made from scratch or
> based on other sources.

> It is always a good idea to add some information on origin of artwork
> and tools used. When data is based on other free sources, credits and a
> pointer to the proper license should be given. When data is based on
> non-free (or unlicensed) sources, obviously can't be distributed by
> Debian and need to be replaced. And when data is created from scratch, a
> short notice is appreciated to make it clear.

The copyright file claims that these files "come from"
http://www.reptilelabour.com/software/chromium/ and are available under the
terms of the Artistic License.  If you determine that *specific* files are
covered by a different copyright than the one claimed in debian/copyright,
or under a license other than the Artistic License, please re-raise the
severity.  Otherwise, simple second-guessing of the statements in the
copyright file doesn't seem to be a reason for a release-critical bug.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Severity set to `important' from `serious' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Furr <mfurr@debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to "Roberto Gordo Saez" <roberto.gordo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mike Furr <mfurr@debian.org>. Full text and rfc822 format available.

Message #17 received at 385115@bugs.debian.org (full text, mbox):

From: "Roberto Gordo Saez" <roberto.gordo@gmail.com>
To: 385115@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#385115: chromium-data: Unclear license for some files
Date: Tue, 29 Aug 2006 16:50:50 +0200
severity 385115 grave
thanks

I'm sorry, but AFAIK, distributing illegal data should be release
critical. We are not talking about non-free data, we are talking about
ripped (or "pirated", if you prefer), undistributable data, which is
much worse. Please read below.

On 8/29/06, Steve Langasek <vorlon@debian.org> wrote:
> The copyright file claims that these files "come from"
> http://www.reptilelabour.com/software/chromium/ and are available under the

OK, my English is very bad, but I am under the impression that you
haven't read my message nor made any attempt to understand it. Yes, I
know the copyright file claims that files came from
http://www.reptilelabour.com/software/chromium/, but my point is that
the same page you cited claims that some files come from the urls that
I've mentioned on my email. This is a quotation taken from about page:

"Music Loops and raw Sound Effects from:
   Partners in Rhyme
   FindSounds.com"

> terms of the Artistic License.  If you determine that *specific* files are
> covered by a different copyright than the one claimed in debian/copyright,

The copyright does not belong to the author of the program. He can't
publish them under the artistic license. Look at the strings of some
files:

strings /usr/share/games/chromium/wav/power.wav | grep Copyright
Copyright (C) 1995 Corel Corporation Limited.  All Rights Reserved

And this is a quote from one on the pages the files were downloaded
(findsounds.com):

"When you perform a search using FindSounds.com or the WebPalette
feature of FindSounds Palette, you obtain links to audio files hosted
by Web sites throughout the world. The sounds in these audio files may
be copyrighted and their use governed by national and international
copyright laws. We do not offer advice on the fair use of these
files."

So they are downloaded from unkown places.

> or under a license other than the Artistic License, please re-raise the
> severity.  Otherwise, simple second-guessing of the statements in the
> copyright file doesn't seem to be a reason for a release-critical bug.

I don't need to prove anything. It is only your assumption that the
files are under the artistic license, because this is not what the
author of the program claims. Under this conditions you should verify
that they are under the Artistic license, instead of me that they are
not.

Saying that the files are free because they are downloaded from the
same page as the program is not enough, because upstream recognizes
that he has not made some of them. It should be clarified by upstream
files made by him and files that are not.

I also want etch to be released in time, but allowing this is
unacceptable to me. Do you really think it is OK to release the
package in this state?



Severity set to `grave' from `important' Request was from "Roberto Gordo Saez" <roberto.gordo@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Furr <mfurr@debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Mike Furr <mfurr@debian.org>. Full text and rfc822 format available.

Message #24 received at 385115@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Roberto Gordo Saez <roberto.gordo@gmail.com>, 385115@bugs.debian.org
Subject: Re: Fwd: Bug#385115: chromium-data: Unclear license for some files
Date: Tue, 29 Aug 2006 16:30:00 -0700
On Tue, Aug 29, 2006 at 10:51:59PM +0200, Roberto Gordo Saez wrote:
> I'm sorry, but AFAIK, distributing illegal data should be release
> critical. We are not talking about non-free data, we are talking about
> ripped (or "pirated", if you prefer), undistributable data, which is
> much worse. Please read below.

> On 8/29/06, Steve Langasek <vorlon@debian.org> wrote:
> >The copyright file claims that these files "come from"
> >http://www.reptilelabour.com/software/chromium/ and are available under the

> OK, my English is very bad, but I am under the impression that you
> haven't read my message nor made any attempt to understand it. Yes, I
> know the copyright file claims that files came from
> http://www.reptilelabour.com/software/chromium/, but my point is that
> the same page you cited claims that some files come from the urls that
> I've mentioned on my email. This is a quotation taken from about page:

> "Music Loops and raw Sound Effects from:
>    Partners in Rhyme
>    FindSounds.com"

This URL points to a sound *search engine*, which makes no *guarantees*
about the legality of the sounds it provides links to.  So this is
irrelevant to the question of whether any particular sound file being
distributed is correctly licensed.

> >terms of the Artistic License.  If you determine that *specific* files are
> >covered by a different copyright than the one claimed in debian/copyright,

> The copyright does not belong to the author of the program.

For all you've said up to this point, the sound files being used could be in
the public domain; in which case the only controlling copyright is that
governing the packaging and support files.

> He can't publish them under the artistic license. Look at the strings of
> some files:

> strings /usr/share/games/chromium/wav/power.wav | grep Copyright
> Copyright (C) 1995 Corel Corporation Limited.  All Rights Reserved

Thank you, this would be crucial information that you omitted from your
original bug report.  This is a clear indication that the file in question
is not Free Software, and should be addressed.

> And this is a quote from one on the pages the files were downloaded
> (findsounds.com):

> "When you perform a search using FindSounds.com or the WebPalette
> feature of FindSounds Palette, you obtain links to audio files hosted
> by Web sites throughout the world. The sounds in these audio files may
> be copyrighted and their use governed by national and international
> copyright laws. We do not offer advice on the fair use of these
> files."

> So they are downloaded from unkown places.

That they are unknown to *you* is not grounds for an RC bug claiming that
upstream is distributing files illegally.

> >or under a license other than the Artistic License, please re-raise the
> >severity.  Otherwise, simple second-guessing of the statements in the
> >copyright file doesn't seem to be a reason for a release-critical bug.

> I don't need to prove anything. It is only your assumption that the
> files are under the artistic license, because this is not what the
> author of the program claims. Under this conditions you should verify
> that they are under the Artistic license, instead of me that they are
> not.

If you're going to claim that the license on these sounds is not what
upstream and the packaging claim it is, the burden of proof lies with you.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Severity set to `serious' from `grave' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Furr <mfurr@debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to "Roberto Gordo Saez" <roberto.gordo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mike Furr <mfurr@debian.org>. Full text and rfc822 format available.

Message #31 received at 385115@bugs.debian.org (full text, mbox):

From: "Roberto Gordo Saez" <roberto.gordo@gmail.com>
To: "Steve Langasek" <vorlon@debian.org>, 385115@bugs.debian.org
Cc: debian-legal@lists.debian.org
Subject: Sorry, no more RC bugs for non-free data in main (was: Bug#385115: chromium-data: Unclear license for some files)
Date: Wed, 30 Aug 2006 12:00:55 +0200
OK, you win, I will not continue with this. Do whatever you want with the bug.
I'm sending this message to debian-legal, in case other people care.

On 8/30/06, Steve Langasek <vorlon@debian.org> wrote:
> For all you've said up to this point, the sound files being used could be in
> the public domain; in which case the only controlling copyright is that
> governing the packaging and support files.

OK, so I take files from the web and put them on packages. They could
be in public domain, so there is no problem unless someone find that
they are not, uh?

I think it is silly. Copyright does not work this way. Something
should be treated as copyrighted unless clearly stated it is under
public domain.

> That they are unknown to *you* is not grounds for an RC bug claiming that
> upstream is distributing files illegally.

And they are unknown to upstream. AFAIK, upstream does never claim
that those files are under artistic license nor under public domain.
It is not me. Why it is this so difficult to understand?

> If you're going to claim that the license on these sounds is not what
> upstream and the packaging claim it is, the burden of proof lies with you.

Again, upstream does not claim he is copyright holder, and license for
them is not specified. He only claims that he took the files from
other sources. Even if the files are free, credit should be provided,
and the origin clarified. As a positive example, look at this package
(monsterz-data), it is a example of someone who has taken the time to
correctly provided credits and copyright information for the included
wav files:

/usr/share/doc/monsterz-data/copyright

To put all copyrights and references in detail for code and data can
be boring, but omitting them makes no favor to free software. Please,
note that including source code for data files is a different issue.
This is about copyright problems on Debian main archive.

I'm getting tired of all of this. There are still an important number
of packages that carry unlicensed data with them, but I WON'T CONTINUE
reporting bugs. Believe it or not, I have lots of more exciting things
to do than searching for copyright problems and reporting them on my
free time. And instead of people helping me to solve the problems and
make Debian a better product, I got negative responses saying the
problem is myself.

Defending my position each time takes a lot of time (English is not my
native language and my level of English is rather poor). Things I'm
reporting are obviously not allowed by current Debian guidelines, so
justifying and fighting for them each time is a waste of my time.

If most people here thinks that we should not care about this, I would
prefer that guidelines to be updated in consequence, so people who
really care about this kind of copyright issues would know before
choosing to use Debian. So Debian will remain 100% free unless we got
sort of time for the next release, or something taken from the web is
public domain unless someone demonstrate that it is not...

So do not expect myself to give any more of my time to this. And you
can downgrade the priority again or even close the bug if you want, I
do not mind anymore.



Information forwarded to debian-bugs-dist@lists.debian.org, Mike Furr <mfurr@debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Mike Furr <mfurr@debian.org>. Full text and rfc822 format available.

Message #36 received at 385115@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Roberto Gordo Saez <roberto.gordo@gmail.com>
Cc: 385115@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Sorry, no more RC bugs for non-free data in main (was: Bug#385115: chromium-data: Unclear license for some files)
Date: Wed, 30 Aug 2006 03:44:49 -0700
On Wed, Aug 30, 2006 at 12:00:55PM +0200, Roberto Gordo Saez wrote:

> On 8/30/06, Steve Langasek <vorlon@debian.org> wrote:
> >For all you've said up to this point, the sound files being used could be 
> >in
> >the public domain; in which case the only controlling copyright is that
> >governing the packaging and support files.

> OK, so I take files from the web and put them on packages. They could
> be in public domain, so there is no problem unless someone find that
> they are not, uh?

No, if *you* take files from the web and don't know that they're in the
public domain, and/or don't know what license they're under, it would be
wrong for you to put them in a Debian package and redistribute them.

If an *upstream* has taken files from the web and integrated them in their
software, and furthermore posted a statement that the files are available
under a particular license, we should assume the upstream is telling the
truth unless we have evidence to the contrary.

> >That they are unknown to *you* is not grounds for an RC bug claiming that
> >upstream is distributing files illegally.

> And they are unknown to upstream. AFAIK, upstream does never claim
> that those files are under artistic license nor under public domain.
> It is not me. Why it is this so difficult to understand?

http://www.reptilelabour.com/software/chromium/about.htm asserts:

 "Chromium B.S.U. is available under terms of the Artistic License"

Is chromium-data not part of "Chromium B.S.U."?  If it is, then this is an
upstream statement about the license of those files.  Do you have another
statement from upstream that contradicts this?

> >If you're going to claim that the license on these sounds is not what
> >upstream and the packaging claim it is, the burden of proof lies with you.

> Again, upstream does not claim he is copyright holder, and license for
> them is not specified. He only claims that he took the files from
> other sources. Even if the files are free, credit should be provided,
> and the origin clarified.

If the files are in the public domain, this is not required.  We don't
*know* whether (most of) the files are in the public domain.  Only things
that we know are license violations should be treated as release-critical.

> If most people here thinks that we should not care about this, I would
> prefer that guidelines to be updated in consequence, so people who
> really care about this kind of copyright issues would know before
> choosing to use Debian. So Debian will remain 100% free unless we got
> sort of time for the next release, or something taken from the web is
> public domain unless someone demonstrate that it is not...

We all care about freedom and about making sure the software we distribute
is legal, but that doesn't mean we should delay the release every time
someone suggests without evidence that a package *may* contain a copyright
violation.

> So do not expect myself to give any more of my time to this. And you
> can downgrade the priority again or even close the bug if you want, I
> do not mind anymore.

It wouldn't be appropriate to downgrade this bug; you've correctly pointed
out that at least one of the sound files in this package appears to be
copyrighted and distributed without a license, and that's a bug that should
be fixed.  If you know of other files in the package that are improperly
licensed, please include information about them as well!  However, even if
we find some improperly licensed files in the package, it's not reasonable
to require a full license audit of the package as a condition for releasing,
because the vast majority of packages in Debian have no more guarantee of
license correctness than this one does.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Mike Furr <mfurr@debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to "Roberto Gordo Saez" <roberto.gordo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mike Furr <mfurr@debian.org>. Full text and rfc822 format available.

Message #41 received at 385115@bugs.debian.org (full text, mbox):

From: "Roberto Gordo Saez" <roberto.gordo@gmail.com>
To: 385115@bugs.debian.org, debian-legal@lists.debian.org, "Steve Langasek" <vorlon@debian.org>
Subject: Re: Sorry, no more RC bugs for non-free data in main (was: Bug#385115: chromium-data: Unclear license for some files)
Date: Wed, 30 Aug 2006 14:07:55 +0200
I strongly disagree with your arguments. It looks that we have
opposite way of thinking, so I will not reply to them, it is going to
nowhere. Don't worry, as I said, I won't continue searching for this.

If this is the common feeling here, I think I made a serious mistake
choosing Debian, because it does not follow my definition of freedom.
I would like to urge to change the Social Contract to be clarified
this in this case. I'm serious about that, it is no joke, because I
feel mislead. When reading it I was thinking I was doing the correct.
I was not sending those bugs because I am bad person, I was actually
thinking that was the common feeling and the correct think to do.

Currently, under my point of view, the Social Contract and guidelines
do not reflect reality, they are just hypocrisy. This is a subjective
view, I know, but I think I'm not the only person in the world who may
understand it this way, so please, clarify.

And in case your way of think is not the common feeling, please make a
poll or something. Until this is completely clear, I won't be morally
happy using nor giving my time to the Debian project, so you won't be
bothered with those bugs again.



Information forwarded to debian-bugs-dist@lists.debian.org, Mike Furr <mfurr@debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to "Markus Laire" <malaire@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mike Furr <mfurr@debian.org>. Full text and rfc822 format available.

Message #46 received at 385115@bugs.debian.org (full text, mbox):

From: "Markus Laire" <malaire@gmail.com>
To: "Roberto Gordo Saez" <roberto.gordo@gmail.com>
Cc: 385115@bugs.debian.org, debian-legal@lists.debian.org, "Steve Langasek" <vorlon@debian.org>
Subject: Re: Hypocrisy of Debian (was: Sorry, no more RC bugs for non-free data in main ...)
Date: Wed, 30 Aug 2006 16:00:53 +0300
On 8/30/06, Roberto Gordo Saez <roberto.gordo@gmail.com> wrote:
> If this is the common feeling here, I think I made a serious mistake
> choosing Debian, because it does not follow my definition of freedom.
> I would like to urge to change the Social Contract to be clarified
> this in this case. I'm serious about that, it is no joke, because I
> feel mislead. When reading it I was thinking I was doing the correct.
> I was not sending those bugs because I am bad person, I was actually
> thinking that was the common feeling and the correct think to do.
>
> Currently, under my point of view, the Social Contract and guidelines
> do not reflect reality, they are just hypocrisy. This is a subjective
> view, I know, but I think I'm not the only person in the world who may
> understand it this way, so please, clarify.

You are not the only one.

I have somewhat similar feelings after I found out that the
"cdrtools"-package[1] included in Debian isn't DFSG-free, but is still
included in main.

(Even worse, its license might even be illegal because it's GPLv2 +
incombatible restrictions)

This problem was mentioned in this list on _2004_ but cdrtools still
hasn't been removed from Debian (see [2]). IMHO "hypocrisy" is perfect
word to describe such behaviour.

I used to believe that Debian only included legal, DFSG-free software
in main, but "cdrtools" fiasco seems to prove that I was wrong.


A recent message[3] from DPL only made this worse as it's titled "Bits
from the DPL: Freedom and etch" and starts with "As a project, Debian
is heavily committed to the ideals of free software. That's not news
to anyone reading this, ..."

In the light of the cdrtools-fiasco that is clearly not true.

> And in case your way of think is not the common feeling, please make a
> poll or something. Until this is completely clear, I won't be morally
> happy using nor giving my time to the Debian project, so you won't be
> bothered with those bugs again.

[1] http://packages.debian.org/testing/source/cdrtools
[2] http://lists.debian.org/debian-legal/2006/03/msg00415.html
[3] http://lists.debian.org/debian-devel-announce/2006/08/msg00015.html

DISCLAIMER: IANAL, IANADD

-- 
Markus Laire



Information forwarded to debian-bugs-dist@lists.debian.org, Mike Furr <mfurr@debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to moth@debian.org:
Extra info received and forwarded to list. Copy sent to Mike Furr <mfurr@debian.org>. Full text and rfc822 format available.

Message #51 received at 385115@bugs.debian.org (full text, mbox):

From: "Raul Miller" <moth.debian@gmail.com>
To: "Roberto Gordo Saez" <roberto.gordo@gmail.com>
Cc: 385115@bugs.debian.org, debian-legal@lists.debian.org, "Steve Langasek" <vorlon@debian.org>
Subject: Re: Sorry, no more RC bugs for non-free data in main (was: Bug#385115: chromium-data: Unclear license for some files)
Date: Wed, 30 Aug 2006 13:32:50 -0400
On 8/30/06, Roberto Gordo Saez <roberto.gordo@gmail.com> wrote:
> I strongly disagree with your arguments. It looks that we have
> opposite way of thinking, so I will not reply to them, it is going to
> nowhere. Don't worry, as I said, I won't continue searching for this.

When conversations go nowhere, it's often because people are
not understanding what the other is saying.

In this case, I see one rather obvious issue (there may be others):

Steve Langasek has said, in essence

"When A says X, and we have no evidence to the contrary,
we believe A".

Your objection, in essence seems to be

"We should not believe X when we have no evidence that X
is true."

It seems to me that both of these statements are reasonable,
and that neither refutes the other.

This could turn into a "standards of evidence" discussion, but it
currently does not taste like that.

-- 
Raul



Information forwarded to debian-bugs-dist@lists.debian.org, Mike Furr <mfurr@debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Mike Furr <mfurr@debian.org>. Full text and rfc822 format available.

Message #56 received at 385115@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@fastmail.fm>
To: 385115@bugs.debian.org
Subject: Re: Bug#385115: Sorry, no more RC bugs for non-free data in main (was: Bug#385115: chromium-data: Unclear license for some files)
Date: Wed, 30 Aug 2006 21:20:11 -0400
[Message part 1 (text/plain, inline)]
<posted & mailed>

Steve Langasek wrote:

> On Wed, Aug 30, 2006 at 01:32:50PM -0400, Raul Miller wrote:
>> In this case, I see one rather obvious issue (there may be others):
> 
>> Steve Langasek has said, in essence
> 
>> "When A says X, and we have no evidence to the contrary,
>> we believe A".
> 
>> Your objection, in essence seems to be
> 
>> "We should not believe X when we have no evidence that X
>> is true."
> 
>> It seems to me that both of these statements are reasonable,
>> and that neither refutes the other.
> 
> The latter implies that all packages should have RC bugs on them because
> we should not believe that any of the licenses and copyrights are what
> upstream
> says they are.  How is that reasonable?

Here was the standard I always used.  I assume A is telling the truth
-- until I find out that he was wrong about one thing in his package.

As in, the clearly copyrighted and misappropriated sound file.

Then I stop assuming that he's done the right thing with the other similar
files.

As in, the other sound files.

I think that that was what the bug submitter was doing.  If upstream
screwed up once, they're likely to have screwed up repeatedly in the
same way.  (This seems to be the case with legal issues, anyway.)


-- 
Nathanael Nerode  <neroden@fastmail.fm>

Read it and weep.
http://rawstory.com/news/2005/Text_of_Gore_speech_0116.html

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Furr <mfurr@debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Mike Furr <mfurr@debian.org>. Full text and rfc822 format available.

Message #61 received at 385115@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Markus Laire <malaire@gmail.com>
Cc: Roberto Gordo Saez <roberto.gordo@gmail.com>, 385115@bugs.debian.org, debian-legal@lists.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Hypocrisy of Debian (was: Sorry, no more RC bugs for non-free data in main ...)
Date: Tue, 5 Sep 2006 16:55:20 +0200
* Markus Laire (malaire@gmail.com) [060830 15:01]:
> I have somewhat similar feelings after I found out that the
> "cdrtools"-package[1] included in Debian isn't DFSG-free, but is still
> included in main.
> 
> (Even worse, its license might even be illegal because it's GPLv2 +
> incombatible restrictions)
> 
> This problem was mentioned in this list on _2004_ but cdrtools still
> hasn't been removed from Debian (see [2]). IMHO "hypocrisy" is perfect
> word to describe such behaviour.

"This list" isn't the place where everybody needs to jump if someone
sends a mail. If you want to make sure this issue is taken up, please
file an RC bug (what happened in the meantime), if it is an release
critical issue.

> I used to believe that Debian only included legal, DFSG-free software
> in main, but "cdrtools" fiasco seems to prove that I was wrong.

As somebody filed an RC-bug against cdrtools for this reason, we knew
that we have to fix that prior to release of etch.

However, I don't think that in an perfect world, we should jump to
conclusions. Debian isn't only about free software, but also about our
users. So, carefully going forward is IMHO the best we could do, and
have done. And, if you look from todays perspective, this issue was
resolved.

So, if you think something is an important issue, *you* need to make
sure it is actually mentioned in the right places. And please don't cry
because people are not jumping to conclusions, but take the proper time
to create a proper solution.


Cheers,
Andi



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to Mike Furr <mfurr@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #66 received at 385115@bugs.debian.org (full text, mbox):

From: Mike Furr <mfurr@debian.org>
To: mallanmba@yahoo.com
Cc: 385115@bugs.debian.org
Subject: License for Chromium music and sound?
Date: Thu, 07 Sep 2006 14:20:47 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


Hi Mark,

I have a quick question about the sound that comes with your game,
Chromium B.S.U.  Can you clarify the license for the music and sound
effects that you distribute with it?  On the webpage for the game, you
mention that the music loops and raw sound effects are from two sound
search engines, but I was unable to find their exact origins.  Do you
know the original owner and the license for distributing these files?

Thanks,
- -Mike Furr
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFAGL97ZPKKRJLJvMRAmecAKC5J8cVcdSuaK3pyglHOjbAKOCITACfYpIH
V74qhzIcoEj9Bwt3qHNgboA=
=0wi5
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Mike Furr <mfurr@debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to "Roberto Gordo Saez" <roberto.gordo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mike Furr <mfurr@debian.org>. Full text and rfc822 format available.

Message #71 received at 385115@bugs.debian.org (full text, mbox):

From: "Roberto Gordo Saez" <roberto.gordo@gmail.com>
To: "Andreas Barth" <aba@not.so.argh.org>, "Markus Laire" <malaire@gmail.com>, 385115@bugs.debian.org, debian-legal@lists.debian.org, "Steve Langasek" <vorlon@debian.org>
Subject: Re: Hypocrisy of Debian (was: Sorry, no more RC bugs for non-free data in main ...)
Date: Sat, 9 Sep 2006 11:15:53 +0200
On 9/5/06, Andreas Barth <aba@not.so.argh.org> wrote:
> * Markus Laire (malaire@gmail.com) [060830 15:01]:
> > This problem was mentioned in this list on _2004_ but cdrtools still
> > hasn't been removed from Debian (see [2]). IMHO "hypocrisy" is perfect
> > word to describe such behaviour.
>
> "This list" isn't the place where everybody needs to jump if someone
> sends a mail. If you want to make sure this issue is taken up, please
> file an RC bug (what happened in the meantime), if it is an release
> critical issue.

I would prefer to not continue with this, but I need to reply.

I've already mentioned in a previous mail, but I would want to present
my apologies again for the strong, abrasive, and maybe offending parts
of my responses.

But there is something I do not understand. Why "this list" is not the
place to put disagreements on the way legal issues are handled? I'm
sorry for the strong way of saying things I've used on some of my
mails. But, except the offensive wording which was a mistake for my
part, I think I should be allowed to disagree, and to publicly expose
my point of view, even when my point of view is negative.

If this list is not the place, where is it? debian-private?

> As somebody filed an RC-bug against cdrtools for this reason, we knew
> that we have to fix that prior to release of etch.

I prefer to not enter in the cdrtools issue, because I know almost
nothing about this bug. In fact, I was not aware of this license
incompatibility until now.

My claims are for the bugs that are downgraded, silently ignored or
allowed into the stable release because of several exceptions that I
do not see. And that is what I would want to say.

> So, if you think something is an important issue, *you* need to make
> sure it is actually mentioned in the right places. And please don't cry
> because people are not jumping to conclusions, but take the proper time
> to create a proper solution.

That is exactly I was trying to perform, searching for license
problems, reporting them, and also trying to help to solve them
whenever possible. I think that we all agree with this. The problem
starts when we disagree on how much important a particular issue is,
and a serious problem for myself is not serious for others.

Every person has a different point of view, this is perfectly normal.
But I think we have an important difference between Debian claims and
reality, and I would prefer to have less beautiful claims more close
to reality than ideal claims too far from reality.



Information forwarded to debian-bugs-dist@lists.debian.org, Mike Furr <mfurr@debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to Brandon Barnes <winterknight@nerdshack.com>:
Extra info received and forwarded to list. Copy sent to Mike Furr <mfurr@debian.org>. Full text and rfc822 format available.

Message #76 received at 385115@bugs.debian.org (full text, mbox):

From: Brandon Barnes <winterknight@nerdshack.com>
To: 385115@bugs.debian.org
Subject: I wrote to Mark Allan, the author of chromium.
Date: Sun, 18 Feb 2007 22:10:53 -0800
I wrote to Mark Allan, the author of chromium. He says, that to the
best of his knowledge, all of the sound files are either public domain,
or under a "royalty free" license. He says the music loops are
definitely covered under a royalty-free license. The royalty-free
license is restrictive, though. I think all of the music is from
http://www.partnersinrhyme.com/.

As I understand the partner's in rhyme license, they don't intend for
anyone downloading chromium to take the sounds and use them in any way
other than to play chromium. I think Mark paid for one of their CDs,
and used it in his free product (chromium), royalty free. I bet if you
asked partner's in rhyme directly, they would say, "No, if you want to
use our music in your project, you have to pay us a one-time fee." Here
is a link to their license, and remember, this was licensed to Mark,
not us:
http://www.partnersinrhyme.com/wmcstore/faq/License.html

He got the sound effects from findsounds.com. Which is like saying he
got them from google. findsounds is a sound search engine. It is likely
that all of the sound effects are copyrighted and not distributable.

However, Mark made the images himself, and offered them, with chromium,
under the Artistic License. Those can still be used in main.

So, in summary, the images are free (Artistic License). The music is
non-free (can not be re-used outside chromium). And the sounds are
probably all non-distributable.

-Brandon



Information forwarded to debian-bugs-dist@lists.debian.org, Mike Furr <mfurr@debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to Brandon Barnes <winterknight@nerdshack.com>:
Extra info received and forwarded to list. Copy sent to Mike Furr <mfurr@debian.org>. Full text and rfc822 format available.

Message #81 received at 385115@bugs.debian.org (full text, mbox):

From: Brandon Barnes <winterknight@nerdshack.com>
To: 385115@bugs.debian.org
Subject: A little more poking around.
Date: Sun, 18 Feb 2007 23:03:23 -0800
I've been doing a little more poking around. I noticed that the file,
"boom.wav" is used in abuse, as "zap3.wav". They have the same md5sum. I
thought, "Oh no! Not abuse too!" But, it turns out, that the maintainer
for abuse got permission from the sound composer, Bobby Price
(bpmusic.com), for use in that game. He didn't give permision for free
and untethered use, rather just to be included in Debian. If you ask him
nicely, maybe he'll allow it for chromium too.

If you're going to put chromium in contrib, and the sound files that
you can in non-free, and replace the ones that you can't, you're now
halfway through one file.

I also got confirmation from "You're the man, now, dog!" (ytmnd.com)
that music_game.wav is an asset of Partners in Rhyme.

I googled all of the md5sums for these files, and this is all I came up
with. That, and another free project, ssc, at sscx.sourceforge.net, got
their sound files from chromium. And justjuvenile.com was at one point
hosting chromium files. Seriously, they were. But now they're just
selling baby stuff.

-Brandon



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to Daniel James <daniel@64studio.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #86 received at 385115@bugs.debian.org (full text, mbox):

From: Daniel James <daniel@64studio.com>
To: 385115@bugs.debian.org, Mark Allan <mallanmba@yahoo.com>
Subject: Some replacement music for Debian's package of chromium
Date: Tue, 26 Jun 2007 11:29:15 +0100
I made a couple of loops and uploaded them here:

http://people.64studio.com/~daniel/

but Paul Wise thinks they are cheesy :-)

Brian Redfern is working on some better loops, following Paul's request 
for help on the 64studio-users list.

Cheers!

Daniel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to "Brian Redfern" <brianwredfern@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #91 received at 385115@bugs.debian.org (full text, mbox):

From: "Brian Redfern" <brianwredfern@gmail.com>
To: 385115@bugs.debian.org
Cc: mallanmba@yahoo.com, "Paul Wise" <pabs@debian.org>
Subject: replacement media files for bug 385115
Date: Fri, 13 Jul 2007 12:59:13 -0700
Hi there, I've created wav files to replace the questionable music
loops. I've donated them under the artistic license, and have included
the rosegarden and zynaddsubfx files so anyone who wants to change
them can modify them using music software that comes with a standard
debian install.

You can download the replacement files from my website:
http://www.secret49.com/chromium_music.tar.gz



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to 385115@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #96 received at 385115@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: "Mark B. Allan" <mallan@users.sourceforge.net>, "Mark B. Allan" <mallanmba@yahoo.com>
Cc: 385115@bugs.debian.org
Subject: Chromium BSU sounds/music issue
Date: Wed, 02 Jan 2008 15:14:22 +0930
[Message part 1 (text/plain, inline)]
Hi Mark,

I (and others) previously contacted you about the sounds and music in
your Chromium BSU game. In summary you stated:

      * you are busy
      * Debian should repackage chromium-data with alternatives
      * in your opinion the alternative music doesn't fit the game
      * you had intended to replace the music with free alternatives
        that you created from scratch
      * you were going to write a message on linuxgames about chromium

Have you had any time to work on replacing the music with something more
free?

Do you know which webpages you downloaded the sounds from - the ones you
found through findsounds.com? Or maybe the search terms you used?

I'll soon upload a version of chromium-data with the sounds removed and
the music replaced with Brian Redfern's alternatives.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to mallanmba@yahoo.com:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #101 received at 385115@bugs.debian.org (full text, mbox):

From: "Mark B. Allan" <mallanmba@yahoo.com>
To: 385115@bugs.debian.org
Subject: Re: Chromium BSU sounds/music issue
Date: Sat, 5 Jan 2008 16:11:07 -0800 (PST)
Hi Paul - 

That's an accurate summary. I started working on the music,
but I never finished... and chances are good that I won't
ever get back to it. That's fine if you want to go ahead
and repackage it, although I do ask that you make it clear
that the distribution has been altered (to comply with the
Artistic License)

I have no idea what search terms I used to find the
sounds... that was a looong time ago and probably something
as simple as 'explosion' :) I actually did create some of
the sounds myself, but I couldn't tell you which ones at
this point. 

As a side note, I just went to the partnersinrhyme website
- they do explicitly say that it's ok to distribute the
loops in video games:
http://www.partnersinrhyme.com/pir/free_music_loops.shtml
Don't know if that's enough to comply w/ Debian's policy.

Cheers,
-Mark


--- Paul Wise <pabs@debian.org> wrote:

> Hi Mark,
> 
> I (and others) previously contacted you about the sounds
> and music in
> your Chromium BSU game. In summary you stated:
> 
>       * you are busy
>       * Debian should repackage chromium-data with
> alternatives
>       * in your opinion the alternative music doesn't fit
> the game
>       * you had intended to replace the music with free
> alternatives
>         that you created from scratch
>       * you were going to write a message on linuxgames
> about chromium
> 
> Have you had any time to work on replacing the music with
> something more
> free?
> 
> Do you know which webpages you downloaded the sounds from
> - the ones you
> found through findsounds.com? Or maybe the search terms
> you used?
> 
> I'll soon upload a version of chromium-data with the
> sounds removed and
> the music replaced with Brian Redfern's alternatives.
> 
> -- 
> bye,
> pabs
> 
> http://wiki.debian.org/PaulWise
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to mallanmba@yahoo.com, 385115@bugs.debian.org, brianwredfern@gmail.com, daniel@64studio.com, pabs@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #106 received at 385115@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: mallanmba@yahoo.com, 385115@bugs.debian.org, Brian Redfern <brianwredfern@gmail.com>, Daniel James <daniel@64studio.com>
Subject: Re: Bug#385115: Chromium BSU sounds/music issue
Date: Sun, 06 Jan 2008 18:19:55 +0930
[Message part 1 (text/plain, inline)]
On Sat, 2008-01-05 at 16:11 -0800, Mark B. Allan wrote:

> That's an accurate summary. I started working on the music,
> but I never finished... and chances are good that I won't
> ever get back to it.

Could you make that partially completed music available? Perhaps Brian
or Daniel could complete it?

> That's fine if you want to go ahead and repackage it, although I do
> ask that you make it clear that the distribution has been altered (to
> comply with the Artistic License)

Will do.

> I have no idea what search terms I used to find the
> sounds... that was a looong time ago and probably something
> as simple as 'explosion' :) I actually did create some of
> the sounds myself, but I couldn't tell you which ones at
> this point.

Hmm, ok. If you do remember which ones, please let us know so we can
re-add them to the data package.

> As a side note, I just went to the partnersinrhyme website
> - they do explicitly say that it's ok to distribute the
> loops in video games:
> http://www.partnersinrhyme.com/pir/free_music_loops.shtml
> Don't know if that's enough to comply w/ Debian's policy.

Doesn't seem to explicitly allow modification, so I don't think so.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to "Brian Redfern" <brianwredfern@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #111 received at 385115@bugs.debian.org (full text, mbox):

From: "Brian Redfern" <brianwredfern@gmail.com>
To: mallanmba@yahoo.com, 385115@bugs.debian.org, brianwredfern@gmail.com, daniel@64studio.com, pabs@debian.org
Subject: Re: Bug#385115: Chromium BSU sounds/music issue
Date: Sun, 6 Jan 2008 14:28:17 -0800
[Message part 1 (text/plain, inline)]
I also have a new system where I could make more "metal" sounding music for
it, but its the Korg oasys so I would have to give the sound away for free,
but it wouldn't be replicable. However I could make something that would
sound more like the loops that you had with that metal riff, and just donate
the loop under the appropriate license.

On Jan 6, 2008 12:49 AM, Paul Wise <pabs@debian.org> wrote:

> On Sat, 2008-01-05 at 16:11 -0800, Mark B. Allan wrote:
>
> > That's an accurate summary. I started working on the music,
> > but I never finished... and chances are good that I won't
> > ever get back to it.
>
> Could you make that partially completed music available? Perhaps Brian
> or Daniel could complete it?
>
> > That's fine if you want to go ahead and repackage it, although I do
> > ask that you make it clear that the distribution has been altered (to
> > comply with the Artistic License)
>
> Will do.
>
> > I have no idea what search terms I used to find the
> > sounds... that was a looong time ago and probably something
> > as simple as 'explosion' :) I actually did create some of
> > the sounds myself, but I couldn't tell you which ones at
> > this point.
>
> Hmm, ok. If you do remember which ones, please let us know so we can
> re-add them to the data package.
>
> > As a side note, I just went to the partnersinrhyme website
> > - they do explicitly say that it's ok to distribute the
> > loops in video games:
> > http://www.partnersinrhyme.com/pir/free_music_loops.shtml
> > Don't know if that's enough to comply w/ Debian's policy.
>
> Doesn't seem to explicitly allow modification, so I don't think so.
>
> --
> bye,
> pabs
>
> http://wiki.debian.org/PaulWise
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #116 received at 385115@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Brian Redfern <brianwredfern@gmail.com>
Cc: mallanmba@yahoo.com, 385115@bugs.debian.org, daniel@64studio.com
Subject: Re: Bug#385115: Chromium BSU sounds/music issue
Date: Mon, 07 Jan 2008 09:21:31 +0930
[Message part 1 (text/plain, inline)]
On Sun, 2008-01-06 at 14:28 -0800, Brian Redfern wrote:

> I also have a new system where I could make more "metal" sounding
> music for it, but its the Korg oasys so I would have to give the sound
> away for free, but it wouldn't be replicable.

That korg thing looks cool, even runs Linux apparently. According to
their website they distribute the Linux source code on the CD that comes
with it.

> However I could make something that would sound more like the loops
> that you had with that metal riff, and just donate the loop under the
> appropriate license. 

That would be good.

Also, there are other short sounds in the data package (explosions and
stuff) that need replacing, any thoughts on those?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to "Brian Redfern" <brianwredfern@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #121 received at 385115@bugs.debian.org (full text, mbox):

From: "Brian Redfern" <brianwredfern@gmail.com>
To: "Paul Wise" <pabs@debian.org>
Cc: mallanmba@yahoo.com, 385115@bugs.debian.org, daniel@64studio.com
Subject: Re: Bug#385115: Chromium BSU sounds/music issue
Date: Sun, 6 Jan 2008 23:26:35 -0800
[Message part 1 (text/plain, inline)]
Yeah, I have a whole set of sound effects on the oasys, so I can replace
everything with much higher quality sounds with the oasys, and then just
give away my samples under the correct license.

On Jan 6, 2008 3:51 PM, Paul Wise <pabs@debian.org> wrote:

> On Sun, 2008-01-06 at 14:28 -0800, Brian Redfern wrote:
>
> > I also have a new system where I could make more "metal" sounding
> > music for it, but its the Korg oasys so I would have to give the sound
> > away for free, but it wouldn't be replicable.
>
> That korg thing looks cool, even runs Linux apparently. According to
> their website they distribute the Linux source code on the CD that comes
> with it.
>
> > However I could make something that would sound more like the loops
> > that you had with that metal riff, and just donate the loop under the
> > appropriate license.
>
> That would be good.
>
> Also, there are other short sounds in the data package (explosions and
> stuff) that need replacing, any thoughts on those?
>
> --
> bye,
> pabs
>
> http://wiki.debian.org/PaulWise
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #126 received at 385115@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Brian Redfern <brianwredfern@gmail.com>
Cc: mallanmba@yahoo.com, 385115@bugs.debian.org, daniel@64studio.com
Subject: Re: Bug#385115: Chromium BSU sounds/music issue
Date: Fri, 15 Feb 2008 21:36:14 +0900
[Message part 1 (text/plain, inline)]
On Sun, 2008-01-06 at 23:26 -0800, Brian Redfern wrote:

> Yeah, I have a whole set of sound effects on the oasys, so I can
> replace everything with much higher quality sounds with the oasys, and
> then just give away my samples under the correct license.

Any progress on this? I'd like to get chromium into the release of
Debian lenny, even if there are no sounds in it. If it is not ready yet,
I can upload what is in SVN now - non-free sounds/music removed and your
rosegarden/zynaddsubfx based music added.

Just had a quick play of chromium using your music, it was OK for a bit
and then it quickly became clear it wasn't quite suitable.

I also plan to write a patch so users can download the non-free stuff
from upstream and play the game with the original sound/music.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to "Brian Redfern" <brianwredfern@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #131 received at 385115@bugs.debian.org (full text, mbox):

From: "Brian Redfern" <brianwredfern@gmail.com>
To: "Paul Wise" <pabs@debian.org>, mallanmba@yahoo.com, 385115@bugs.debian.org, daniel@64studio.com
Subject: Re: Bug#385115: Chromium BSU sounds/music issue
Date: Fri, 15 Feb 2008 09:14:01 -0800
I'll have some time this weekend to finish the sounds, I'm getting
something that sounds like the original loops using my oasys. I need
to spend this weekend finishing everything off so I can pass it over
to you.



On 2/15/08, Paul Wise <pabs@debian.org> wrote:
> On Sun, 2008-01-06 at 23:26 -0800, Brian Redfern wrote:
>
> > Yeah, I have a whole set of sound effects on the oasys, so I can
> > replace everything with much higher quality sounds with the oasys, and
> > then just give away my samples under the correct license.
>
> Any progress on this? I'd like to get chromium into the release of
> Debian lenny, even if there are no sounds in it. If it is not ready yet,
> I can upload what is in SVN now - non-free sounds/music removed and your
> rosegarden/zynaddsubfx based music added.
>
> Just had a quick play of chromium using your music, it was OK for a bit
> and then it quickly became clear it wasn't quite suitable.
>
> I also plan to write a patch so users can download the non-free stuff
> from upstream and play the game with the original sound/music.
>
> --
> bye,
> pabs
>
> http://wiki.debian.org/PaulWise
>

-- 
Sent from Gmail for mobile | mobile.google.com




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to "Richard Hartmann" <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #136 received at 385115@bugs.debian.org (full text, mbox):

From: "Richard Hartmann" <richih.mailinglist@gmail.com>
To: 385115@bugs.debian.org
Subject: Re: Chromium BSU upstream developers needed!
Date: Sat, 16 Feb 2008 12:30:32 +0100
On Feb 16, 2008 7:11 AM, Paul Wise <pabs@debian.org> wrote:


> Brian Redfern is working on some free music to replace the non-free
> music[1]. His latest attempt is OK, but doesn't suit the game as much as
> the originals. He is working on some new versions that are more like the
> originals.

Did anyone try contacting partnersinrhyme.com about this directly? I know
their licence is not DFSG-free, but asking nicely never hurt anyone (actually,
I can think of several scenarios, but I digress). If no one replies, I will
probably poke them some time next week.


Richard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #141 received at 385115@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Brian Redfern <brianwredfern@gmail.com>
Cc: mallanmba@yahoo.com, 385115@bugs.debian.org, daniel@64studio.com
Subject: Re: Bug#385115: Chromium BSU sounds/music issue
Date: Wed, 20 Feb 2008 12:57:04 +0900
[Message part 1 (text/plain, inline)]
On Fri, 2008-02-15 at 09:14 -0800, Brian Redfern wrote:

> I'll have some time this weekend to finish the sounds, I'm getting
> something that sounds like the original loops using my oasys. I need
> to spend this weekend finishing everything off so I can pass it over
> to you.

How did you go with it?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #146 received at 385115@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Brian Redfern <brianwredfern@gmail.com>
Cc: 385115 <385115@bugs.debian.org>, "Mark B. Allan" <mallanmba@yahoo.com>
Subject: Re: Bug#385115: Chromium BSU sounds/music issue
Date: Wed, 20 Feb 2008 13:53:26 +0900
[Message part 1 (text/plain, inline)]
On Tue, 2008-02-19 at 20:35 -0800, Brian Redfern wrote:

> Its almost there, I'm just tweaking it to sound as much as the
> original as possible without causing copyright issues (ie being an
> exact copy). I'm also working on sound effects, so I'm hopinh to
> finish this weekend, even though I said last weekend, I still have a
> couple of more things to do to get it sound exactly right.

Excellent, thanks for the update.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#385115; Package chromium-data. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #151 received at 385115@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: control@bugs.debian.org
Cc: 385115@bugs.debian.org
Subject: tagging 385115
Date: Wed, 18 Jun 2008 10:54:22 +0800
# Automatically generated email from bts, devscripts version 2.10.30
#Fixes for these issues have been committed upstream and will be released soon
tags 385115 + fixed-upstream





Tags added: fixed-upstream Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Wed, 18 Jun 2008 02:57:02 GMT) Full text and rfc822 format available.

Reply sent to Paul Wise <pabs@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Roberto Gordo Saez <roberto.gordo@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #158 received at 385115-close@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 385115-close@bugs.debian.org
Subject: Bug#385115: fixed in chromium 0.9.13.1-1
Date: Wed, 25 Jun 2008 17:32:04 +0000
Source: chromium
Source-Version: 0.9.13.1-1

We believe that the bug you reported is fixed in the latest version of
chromium, which is due to be installed in the Debian FTP archive:

chromium-data_0.9.13.1-1_all.deb
  to pool/main/c/chromium/chromium-data_0.9.13.1-1_all.deb
chromium_0.9.13.1-1.diff.gz
  to pool/main/c/chromium/chromium_0.9.13.1-1.diff.gz
chromium_0.9.13.1-1.dsc
  to pool/main/c/chromium/chromium_0.9.13.1-1.dsc
chromium_0.9.13.1-1_i386.deb
  to pool/main/c/chromium/chromium_0.9.13.1-1_i386.deb
chromium_0.9.13.1.orig.tar.gz
  to pool/main/c/chromium/chromium_0.9.13.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385115@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Wise <pabs@debian.org> (supplier of updated chromium package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 26 Jun 2008 01:08:26 +0800
Source: chromium
Binary: chromium chromium-data
Architecture: source all i386
Version: 0.9.13.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Paul Wise <pabs@debian.org>
Description: 
 chromium   - fast paced, arcade-style, scrolling space shooter
 chromium-data - data pack for chromium
Closes: 385115 467123
Changes: 
 chromium (0.9.13.1-1) unstable; urgency=low
 .
   * New upstream release
     - switched to FTGL and removed non-free TexFont code (Closes: #467123)
     - replaced non-free sound and music with free versions (Closes: #385115)
     - fix watch file since upstream merged the tarballs
     - build the chromium-data package since upstream merged the tarballs
     - needs API-stable FTGL 2.1.3 RC5, build-depend on it
     - doesn't use libsmpeg-dev, drop from build-depends
     - manual page, freedesktop menu, patches merged upstream, drop
     - upstream homepage moved to sourceforge, update
     - set the debian menu item name to the same as the upstream freedesktop one
     - use the same icon in the debian menu as the upstream freedesktop one
     - can use fontconfig to find the font, build-depend on that
   * Add myself to uploaders
   * Add misc:Depends to the package depends
   * Drop build-dep on transition package libglu1-xorg-dev
   * Respect noopt, parallel=n, crossbuild properly, update config.sub/guess
     - update Standards-Version since we are now compliant with 3.8.0
Checksums-Sha1: 
 6d236614e3b40c5c4315e58ccf5240ded7f01727 1494 chromium_0.9.13.1-1.dsc
 d8e4b93ed6da140d67604c7d943f0b9c706afaf0 1493329 chromium_0.9.13.1.orig.tar.gz
 0b06626b145cc99b7c245e5eed2a47ecf5246f5d 8247 chromium_0.9.13.1-1.diff.gz
 d116cd63eaa307403de6433b903a7ef54699fe62 1215686 chromium-data_0.9.13.1-1_all.deb
 86fc36d59de383663cf5c1b4f0b1edd0457ca961 109864 chromium_0.9.13.1-1_i386.deb
Checksums-Sha256: 
 dc7f7569e60cdb89e7a5835b0bed5b31f7b143a4800d2ea3f8728f84f8d5aec9 1494 chromium_0.9.13.1-1.dsc
 4d32a75ac7a3b206cafc5a971100ed2f4bdc1c055cc3a5112104ff0f85eb4e0e 1493329 chromium_0.9.13.1.orig.tar.gz
 d1bd7cb896ca89d7bd907798db8fcff25982fa6294677e2f75ab7cf8c3e06f04 8247 chromium_0.9.13.1-1.diff.gz
 017f253982560aaec622f9552a52b9895b653bfcb29cd8f826deed3f1b60fff2 1215686 chromium-data_0.9.13.1-1_all.deb
 bb1956e42561761b5691841c767f02b1a6c965612ea092a10ab0b2a03d049615 109864 chromium_0.9.13.1-1_i386.deb
Files: 
 14f5c4fbf2cc30dbde180d6372407edd 1494 games optional chromium_0.9.13.1-1.dsc
 127937e8fbeec6fa02bccc3b0ec915d9 1493329 games optional chromium_0.9.13.1.orig.tar.gz
 299e752829c10a2875e4c160f5683fb3 8247 games optional chromium_0.9.13.1-1.diff.gz
 ffb15add7ebfccb7df7813c808a93ff8 1215686 games optional chromium-data_0.9.13.1-1_all.deb
 ac99aa8814199b12920774f7b25bed6f 109864 games optional chromium_0.9.13.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhifrEACgkQ5Sc9mGvjxCMSqgCeKEnrkcZJSUHWPsxYVmqkLgjD
2BgAn2ZkZwaWIbRvegFgJHOukpd7vttA
=H24p
-----END PGP SIGNATURE-----





Bug reassigned from package `chromium-data' to `chromium-data'. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Tue, 01 Jul 2008 06:30:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 Jul 2008 07:28:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:27:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.